package com.qmth.themis.business.dto.response;

import com.qmth.themis.business.constant.SystemConstant;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 学生视频监考回放记录 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/3
 */
public class TEStudentExamRecordVideoMessageDto implements Serializable {

    @ApiModelProperty(name = "视频源")
    private String videoSource;//视频源

    @ApiModelProperty(name = "开始时间")
    private Long startTime;//开始时间

    @ApiModelProperty(name = "结束时间")
    private Long endTime;//结束时间

    @ApiModelProperty(name = "视频地址")
    private String videoUrl;//科目编码

    public TEStudentExamRecordVideoMessageDto() {

    }

    public TEStudentExamRecordVideoMessageDto(String videoSource, Long startTime, Long endTime, String videoUrl) {
        this.videoSource = videoSource;
        this.startTime = startTime;
        this.endTime = endTime;
        this.videoUrl = videoUrl;
    }

    public String getVideoSource() {
        return Objects.nonNull(videoSource) ? SystemConstant.getMonitorRecordVideoSource(videoSource).name() : videoSource;
    }

    public void setVideoSource(String videoSource) {
        this.videoSource = videoSource;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }
}
